/*
 * Copyright (C) Sergey P. Derevyago, 2005.
 *
 * Permission to copy, use, modify, sell and distribute this software is granted
 * provided this copyright notice appears in all copies.
 * This software is provided "as is" without express or implied warranty, and
 * with no claim as to its suitability for any purpose.
 *
 */

/** @file
 * A production quality implementation of DersCrypt v1.1 symmetric-key block
 * cipher.
 *
 * DersCrypt home page: http://ders.stml.net/crypt/derscrypt/derscrypt.html
 */
 
#ifndef __DERSCRYPT_HPP__
#define __DERSCRYPT_HPP__

#include <stdio.h>
#include "key.hpp"

void checkKey(const void* ptr, int size);
int minBlockLength(int keyLength);

int streamEncrypt(sh_ptr<Key> key, FILE* in, FILE* out);
int streamDecrypt(sh_ptr<Key> key, FILE* in, FILE* out);

#endif

